<?php
/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2018 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

function sbe_language() {
	global $CONFIG, $USER, $lang_plugin_sbe;
	user_get_profile();
	$language = 'english';
	if (file_exists("./plugins/sort_by_exif/lang/{$CONFIG['lang']}.php")) $language = $CONFIG['lang'];	
	if (isset($USER['lang']) && file_exists("./plugins/sort_by_exif/lang/{$USER['lang']}.php")) $language = $USER['lang'];
	require "./plugins/sort_by_exif/lang/".$language.".php";
}

function set_sbe_var() {
	global $lang_plugin_sbe;
	
    $superCage = Inspekt::makeSuperCage();
	
	if ($superCage->get->keyExists('album')) {
		$album = $superCage->get->getInt('album');
	} else {$album = 1;};	
	
	if ($superCage->get->keyExists('page')) {
		$page = $superCage->get->getInt('page');
	} else {$page = 1;};	
	
	if ($superCage->get->keyExists('sort')) {
		$sort = $superCage->get->getAlpha('sort');
	} else {$sort = 'ea';};	

	$js_sort_vars = array(
		'aid'           => $album,
		'page'          => $page,
		'sort'			=> $sort,
		'sort_exif'    =>  $lang_plugin_sbe['exifdate'],
		'sort_ea'       => $lang_plugin_sbe['sort_ea'],
		'sort_ed'       => $lang_plugin_sbe['sort_ed']);
	set_js_var('sort_vars_sbe', $js_sort_vars);
}
sbe_language();

global $CPG_PHP_SELF;
$php_path = pathinfo($CPG_PHP_SELF, PATHINFO_BASENAME);

if($php_path == 'thumbnails.php') {
	set_sbe_var();
	js_include('plugins/sort_by_exif/js/additem.js');
};

if($php_path == 'pluginmgr.php') {
	set_js_var('inst_path_sbe', str_replace("\\","/",getcwd()));
	js_include('plugins/sort_by_exif/js/instexif.js');	
};
?>