<?php
/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2018 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/


function load_exif($picture) {
	global $CONFIG, $workdir, $getID3;
	$filename  = $CONFIG['fullpath'].$picture['filepath'].$picture['filename'];
	$isexif = 0;
	$datum = date('Y-m-d H:i:s', filemtime($filename));
	$result = cpg_db_query("update {$CONFIG['TABLE_PICTURES']} set sbe_exif_date='{$datum}', sbe_source_is_exif=4 where pid = {$picture['pid']}");
	if (strtoupper(pathinfo($filename, PATHINFO_EXTENSION)) == 'MP4') {
		// These will be needed if we switch to getID3 toolbox
		//$ThisFileInfo = $getID3->analyze($filename);
		//$datum2 = $ThisFileInfo['quicktime']['moov']['subatoms'][0]['creation_time'];
		$datum2 = get_qt_meta($filename);
		if ($datum2['creation_time']) {
			$datum = $datum2['creation_time'];
			$isexif = 3;
		};
	} else {
		if (!function_exists('exif_read_data')) require_once "./include/exif.php";
		if (function_exists('exif_read_data')) {
			$exifdata = exif_read_data($filename);
			if (isset($exifdata['DateTimeOriginal'])) {
				$datum = $exifdata['DateTimeOriginal'];
				$isexif = 1;
			} 
		} else {
			$exifdata = read_exif_data_raw($filename,1); 
			if (isset ($exifdata['IFD0']['DateTime'])) {
				$datum = $exifdata['IFD0']['DateTime']; 
				$isexif = 2;
			}
		};
	};
	$result = cpg_db_query("update {$CONFIG['TABLE_PICTURES']} set sbe_exif_date='{$datum}', sbe_source_is_exif='{$isexif}' where pid = {$picture['pid']}");
	return $result;
};

?>